Name:		xfce4-notes-plugin
Version:	1.6.2
Release:	1%{?dist}
Summary:	Notes plugin for the Xfce panel

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.3.90.1, libxfcegui4-devel >= 4.3.90.1, libxml2-devel
BuildRequires:	Thunar-devel >= 0.8.0
BuildRequires:	gettext, perl(XML::Parser)
Requires:	xfce4-panel >= 4.4.1

%description
This plugin provides sticky notes for your desktop. You can create a note by 
clicking on the customizable icon with the middle button of your mouse, 
show/hide the notes using the left one, edit the titlebar, change the notes 
background color and much more.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_bindir}/xfce4-popup-notes

%changelog
* Sat May 24 2008 Christoph Wickert <fedora christoph-wickert de> - 1.6.2-1
- Update to 1.6.2

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.6.1-2
- Autorebuild for GCC 4.3

* Sat Dec 29 2007 Christoph Wickert <fedora christoph-wickert de> - 1.6.1-1
- Update to 1.6.1
- BR Thunar-devel for new file system monitoring feature

* Fri Dec 07 2007 Christoph Wickert <fedora christoph-wickert de> - 1.6.0-2
- Rebuild for Xfce 4.4.2

* Sat Nov 24 2007 Christoph Wickert <fedora christoph-wickert de> - 1.6.0-1
- Update to 1.6.0

* Sat Aug 25 2007 Christoph Wickert <fedora christoph-wickert de> - 1.4.1-3
- Rebuild for BuildID feature
- Update license tag

* Sat Apr 28 2007 Christoph Wickert <fedora christoph-wickert de> - 1.4.1-2
- Rebuild for Xfce 4.4.1

* Mon Jan 22 2007 Christoph Wickert <fedora christoph-wickert de> - 1.4.1-1
- Update to 1.4.1 on Xfce 4.4.

* Sun Nov 26 2006 Christoph Wickert <fedora christoph-wickert de> - 1.4-1
- Update to 1.4.

* Thu Oct 05 2006 Christoph Wickert <fedora christoph-wickert de> - 1.3.99.1-3
- Bump release for devel checkin.

* Wed Sep 13 2006 Christoph Wickert <fedora christoph-wickert de> - 1.3.99.1-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser).

* Thu Sep 07 2006 Christoph Wickert <fedora christoph-wickert de> - 1.3.99.1-1
- Update to 1.3.99.1.

* Mon Sep 04 2006 Christoph Wickert <fedora christoph-wickert de> - 1.3.90.2-1
- Update to 1.3.90.2 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <fedora christoph-wickert de> - 0.11.1-5
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.11.1-4
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.11.1-3
- Rebuild for Fedora Extras 5.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.11.1-2
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.11.1-1
- Initial Fedora Extras version.
- Update to 0.11.1.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.10.0-2.fc4.cw
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.10.0-1.fc4.cw
- Rebuild for Core 4.

* Thu Apr 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.10.0-1.fc3.cw
- Initial RPM release.
